Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.web
Class StatsGenerator

    java.lang.Object
      net.i2p.router.web.StatsGenerator

    public class StatsGenerator

extends Object

Dump the stats to the web admin interface

Constructor Summary
`StatsGenerator(RouterContext context)`

Method Summary
`void` | `generateStatsPage(Writer out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatsGenerator

    public StatsGenerator(RouterContext context)

Method Detail

### generateStatsPage

    public void generateStatsPage(Writer out)
                           throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD